#IA_logo{
    width: 10%;
    bottom: 0%;
    position: absolute;
    left: 8%;
    z-index: 1;
}
#sanmina{
    width: 7%;
    bottom: 0%;
    position: absolute;
    right: 8%;
    z-index: 2;
}
#tesla {
    width: 11%;
    bottom: 0%;
    position: absolute;
    left: 45%;
    z-index: 3;
}

#canvasCamara{
    position: absolute;
    top: 35%;
    left: 13%;
    /*box-shadow: 5px 5px grey; */
    z-index: 6;
  }

.bar_div{
    width: 1200px;
    height:auto ;
    margin: 100px auto 0;
    position: absolute;
    overflow: hidden;/*Colocar etiqueta para que se muestre una imagen a la vez*/
    top: 20%;
    right: 3%;
    box-shadow:  15px 20px 30px rgba(245, 244, 247, 0.85);
    z-index: 7;
}
.bar_div ul{
    display: flex;
    padding: 0;
    width: 300%;
    animation: slide 15s infinite alternate ease-in-out; /*Timepo de movimiento de rotacion*/
}
.bar_div li{
    width: 200%;
    list-style: none;
    position: relative;
}
.bar_div canvas{
    width: 100%;
}
@keyframes slide{
    /*Representa el primer canvas y porcentaje de rotacion  */
    0%{ margin-left: 0;}/*Empieza en el 0% para empezar a mostrar la imagen*/
    15%{ margin-left: 0;}
    /*Representa el segundo canvas y porcentaje de rotacion*/
    33%{ margin-left: -100%;}/*el 100% de la imagen completa*/
    55%{ margin-left: -100%;}
    /*Representa el tercer canvas y porcentaje de rotacion*/
    75%{ margin-left: -200%;}/*el 100% de la imagen completa*/
    100%{ margin-left: -200%;}
}

 /* #bar_div{
    position: absolute;
    top: 10%;
    right: 2%;
    z-index: 7;
    
}*/
/*#bar{  /* Descripcion de canvas tamaño  */ 
    /*max-width: 500px;*/
 /*   width: 900px;
    height: 800px;
    
} */

/*#linea_div{
    position: absolute;
    bottom: 15%;
    right: 2%;
}*/
/*#linea {
    width: 900px;
    height: 800px;
}*/
#output{
    font-size: 250%; 
    text-shadow: rgb(154, 154, 215) 0.1em 0.1em 0.2em;
    font-family: 'Lucida Sans';
    font-weight: bold;
    top:25%;
}
p{
    margin-left: 10%;
    top: 10%;
}
div.row{
    margin-left: 43%;
    top: 14%;
}

/*Barra de menu*/
nav{
    max-width: 1000px;
    margin: auto;
    background-color: #333;
    font-size: 20px;
    font-family: 'Lucida Sans';
    font-size: 150%;
    margin-top: 10px;
}

.menu-horizontal{
    list-style: none;
    display: flex;
    justify-content: space-around;
}

.menu-horizontal > li > a{
    display: block;
    padding: 15px 20px;
    color: white;
    text-decoration: none;
}

.menu-horizontal > li:hover{
    background-color: red;
}
.menu-vertical{
    position: absolute;
    display: none;
    list-style: none;
    width: 200px;
    background-color: rgba(0,0,0, .5);
}

.menu-horizontal li:hover .menu-vertical{
    display: block;
}

.menu-vertical li:hover{
    background-color: black;
}

.menu-vertical li a{
    display: block;
    color: white;
    padding: 15px 15px 15px 20px;
    text-decoration: none;
}

/* --------------Calibracion Automatica --------------*/





.formdos-register{
    position: absolute;
    top: 25%;
    left: 35%;
    font-size: 90px;
    background-color:#24303c; /* Color de fondo */
    padding: 70px;
    border: 1px solid #020704;
    border-radius: 8px;
    box-shadow: 0 10px 25px rgba(92, 99, 105, 0.2);
    font-family: 'calibri';
    color: rgb(7, 8, 8);
    box-shadow: 7px 13px 37px #000;
    justify-content: center;
}

.p{
    left: 25%;
    color: #000;
    position: absolute;
    font-size: 40%;
    font-family: 'calibri';
    width: 90px;
    top: 5px;
}

.botons {
    background: #1f53c5;
    border: none;
    width: 60%;
    height: 5px;
    padding: 35px;
    color: aliceblue;
    margin: 16px 0;
    font-size: 22px;
}

.botons:hover{
    background:#fff;
    color:#1f53c5;
  }

.botons:before,.botons:after{
    content:'';
    position:absolute;
    top:0;
    right:0;
    height:2px;
    width:0;
    background: #1f53c5;
    transition:400ms ease all;
}

 .botons:after{
    right:inherit;
    top:inherit;
    left:0;
    bottom:0;
}
.botons:hover:before,.botons:hover:after{
    width:100%;
    transition:800ms ease all;
}

.desplejable{
    width: 100%;
    background: #24303c;
    margin: 5px ;
    padding:20px ;
    border-radius: 4px;
    margin-bottom: 16px;
    border: 1px solid #1f53c5;
    font-family: 'calibri';
    font-size: 22px;
    color: aliceblue;
    line-height: 40px;
}



